%define upstream_name    rlib
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Manipulate @INC at compile time with relative paths
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch
Provides:   perl(rlib)

%description
rlib works in the same way as lib, except that all paths in 'LIST' are
treated as relative paths.

If rlib is used from the 'main' package then the paths in 'LIST' are
assumed to be relative to where the current script '$0' is located. This is
done by using the FindBin package.

If rlib is used from within any package other tha 'main' then the paths in
'LIST' are assumed to be relative to the root of the library where the file
for that package was found.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.20.0-12.mga10
+ Revision: 2200525
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.20.0-11.mga9
+ Revision: 1805560
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-10.mga8
+ Revision: 1497043
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-9.mga7
+ Revision: 1270901
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-8.mga6
+ Revision: 1032878
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.20.0-7.mga6
+ Revision: 936159
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-6.mga5
+ Revision: 744303
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 687058
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-4.mga4
+ Revision: 520972
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 jquelin <jquelin> 0.20.0-3.mga3
+ Revision: 388199
- add missing provides

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 375547
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 172097
- imported package perl-rlib


* Sat Nov 26 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
